### Method

# FwupdPlugin Context lookup_quirk_by_id_iter

#### Declaration [src]

    gboolean
    fu_context_lookup_quirk_by_id_iter (
      FuContext* self,
      const gchar* guid,
      const gchar* key,
      FuContextLookupIter iter_cb,
      gpointer user_data
    )

#### Description [src]

Looks up all entries in the hardware database using a GUID value.

Available since: | 1.6.0

#### Parameters

`guid` | `const gchar*`
| GUID to lookup.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| An ID to match the entry, e.g. `Name`, or `NULL` for all keys.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`iter_cb` | `FuContextLookupIter`
| A function to call for each result.
`user_data` | `gpointer`
| User data passed to `iter_cb`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the ID was found, and `iter` was called.